| IOLink 1.11.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
iolink::VariantDataValueFactory Class Reference

A factory to create VariantDataValue instances from a great variety of types. More...

`#include <iolink/VariantDataValueFactory.h>`

## Static Public Member Functions
static std::shared_ptr< VariantDataValue > | create (uint8_t value)
static std::shared_ptr< VariantDataValue > | create (uint16_t value)
static std::shared_ptr< VariantDataValue > | create (uint32_t value)
static std::shared_ptr< VariantDataValue > | create (uint64_t value)
static std::shared_ptr< VariantDataValue > | create (int8_t value)
static std::shared_ptr< VariantDataValue > | create (int16_t value)
static std::shared_ptr< VariantDataValue > | create (int32_t value)
static std::shared_ptr< VariantDataValue > | create (int64_t value)
static std::shared_ptr< VariantDataValue > | create (float value)
static std::shared_ptr< VariantDataValue > | create (double value)
static std::shared_ptr< VariantDataValue > | create (const char *value)
static std::shared_ptr< VariantDataValue > | create (const std::string &value)
static std::shared_ptr< VariantDataValue > | create (const uint8_t *values, size_t count)
static std::shared_ptr< VariantDataValue > | create (const uint16_t *values, size_t count)
static std::shared_ptr< VariantDataValue > | create (const uint32_t *values, size_t count)
static std::shared_ptr< VariantDataValue > | create (const uint64_t *values, size_t count)
static std::shared_ptr< VariantDataValue > | create (const int8_t *values, size_t count)
static std::shared_ptr< VariantDataValue > | create (const int16_t *values, size_t count)
static std::shared_ptr< VariantDataValue > | create (const int32_t *values, size_t count)
static std::shared_ptr< VariantDataValue > | create (const int64_t *values, size_t count)
static std::shared_ptr< VariantDataValue > | create (const float *values, size_t count)
static std::shared_ptr< VariantDataValue > | create (const double *values, size_t count)
static std::shared_ptr< VariantDataValue > | create (const char **values, size_t count)

## Detailed Description

A factory to create VariantDataValue instances from a great variety of types.

The documentation for this class was generated from the following file:

- iolink/public/include/iolink/VariantDataValueFactory.h